## 安装
```js
npm install itheima-tools
```


## 导入
```js
const itheima = require('itheima-tools-wanghui')
```

## 格式化时间
```js
// 调用dateFormat对时间进行格式化
const dtrStr = itheima.dateFormat(new Date())
// 结果2022-06-24 13:59:45
console.log(dtrStr)
```

## 转义html中的特殊字符
```js
// 定义待转换的html字符串
const htmlStr = '<h1 title="abc">这是h1标签<span>123&pbsp;</span></h1>'
// 使用htmlEscape 方法进行转换
const str = itheima.htmlEscape(htmlStr)
// 转换结果&lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;pbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(str)
```

## 还原html中的特殊字符
```js
// 待还原的html字符串
const Str = '
&lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;pbsp;&lt;/span&gt;&lt;/h1&gt;
'
// 使用htmlUnEscape 方法进行还原 
const Str = itheima.htmlUnEscape(str)
// 还原结果
console.log(Str)
```

## 开源协议
ISC